scala

# Responder

#### abstract class Responder[+A] extends Serializable

Instances of responder are the building blocks of small programs written in continuation passing style. By using responder classes in for comprehensions, one can embed domain-specific languages in Scala while giving the impression that programs in these DSLs are written in direct style.

Annotations
  @deprecated
Deprecated

  (Since version 2.11.0) This class will be removed

Source
  Responder.scala
Version

  1.0

Since

  2.1

Linear Supertypes
Serializable, java.io.Serializable, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Responder
2. Serializable
3. Serializable
4. AnyRef
5. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new Responder()

### Abstract Value Members

1. #### abstract def respond(k: (A) ⇒ Unit): Unit

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from Responder[A] to any2stringadd[Responder[A]] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (Responder[A], B)

   Implicit information
     This member is added by an implicit conversion from Responder[A] to ArrowAssoc[Responder[A]] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### def ensuring(cond: (Responder[A]) ⇒ Boolean, msg: ⇒ Any): Responder[A]

   Implicit information
     This member is added by an implicit conversion from Responder[A] to Ensuring[Responder[A]] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

9. #### def ensuring(cond: (Responder[A]) ⇒ Boolean): Responder[A]

   Implicit information
     This member is added by an implicit conversion from Responder[A] to Ensuring[Responder[A]] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

10. #### def ensuring(cond: Boolean, msg: ⇒ Any): Responder[A]

    Implicit information
      This member is added by an implicit conversion from Responder[A] to Ensuring[Responder[A]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def ensuring(cond: Boolean): Responder[A]

    Implicit information
      This member is added by an implicit conversion from Responder[A] to Ensuring[Responder[A]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

14. #### def filter(p: (A) ⇒ Boolean): Responder[A]

15. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

16. #### def flatMap[B](f: (A) ⇒ Responder[B]): Responder[B]

17. #### def foreach(k: (A) ⇒ Unit): Unit

18. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from Responder[A] to StringFormat[Responder[A]] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

19. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

20. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

21. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

22. #### def map[B](f: (A) ⇒ B): Responder[B]

23. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

24. #### final def notify(): Unit

    Definition Classes
      AnyRef

25. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

26. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

27. #### def toString(): String

    Definition Classes
      Responder → AnyRef → Any

28. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

30. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### def →[B](y: B): (Responder[A], B)

    Implicit information
      This member is added by an implicit conversion from Responder[A] to ArrowAssoc[Responder[A]] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Responder[A] to any2stringadd[Responder[A]]

### Inherited by implicit conversion StringFormat from Responder[A] to StringFormat[Responder[A]]

### Inherited by implicit conversion Ensuring from Responder[A] to Ensuring[Responder[A]]

### Inherited by implicit conversion ArrowAssoc from Responder[A] to ArrowAssoc[Responder[A]]

### Ungrouped